from axipy import AxiomaPlugin, Position
from axipy.app import mainwindow

class Plugin(AxiomaPlugin):
    def load(self):
        self.__action = self.create_action('Пример действия',
                icon='://icons/share/32px/run3.png', on_click=self.on_clicked)
        position = Position('Основные', 'Команды')
        position.add(self.__action)
        self.dock = None

    def unload(self):
        self.__action.remove()

    def on_clicked(self):
        mainwindow.load_workspace('<path>/sample.mws')


